org.deidentifier.arx.gui.view.impl.common

## Class PageableTableColumnLayout

- java.lang.Object
- - org.eclipse.swt.events.ControlAdapter
  - - org.deidentifier.arx.gui.view.impl.common.PageableTableColumnLayout

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.ControlListener, org.eclipse.swt.internal.SWTEventListener

    public class PageableTableColumnLayout
    extends org.eclipse.swt.events.ControlAdapter

Column layout for pageable tables

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`PageableTableColumnLayout(org.eclipse.nebula.widgets.pagination.table.PageableTable pageableTable, boolean fill, boolean equalSize)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `controlResized(org.eclipse.swt.events.ControlEvent arg0)`

### Methods inherited from class org.eclipse.swt.events.ControlAdapter

`controlMoved`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageableTableColumnLayout

    public PageableTableColumnLayout(org.eclipse.nebula.widgets.pagination.table.PageableTable pageableTable,
                                     boolean fill,
                                     boolean equalSize)

Creates a new instance

Parameters:
  `pageableTable` -
  `fill` -
  `equalSize` -

### Method Detail

#### controlResized

    public void controlResized(org.eclipse.swt.events.ControlEvent arg0)

Specified by:
  `controlResized` in interface `org.eclipse.swt.events.ControlListener`
Overrides:
  `controlResized` in class `org.eclipse.swt.events.ControlAdapter`